Skip to main content

Change freeze time

PUT https://wallet.paysera.com/rest/v1/payment/{paymentId}/freeze

Change freeze time for confirmed payment.

The payment must be confirmed and have a beneficiary — otherwise this request fails with 409 Conflict.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
paymentIdinteger✓Payment identifier

Request Body​

FieldTypeRequiredDescription
freeze_untilinteger✓Freeze until timestamp (Unix timestamp)

Example​

Request​

PUT https://wallet.paysera.com/rest/v1/payment/{paymentId}/freeze
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"freeze_until": 1357992732
}

Response​

{
"id": 2987,
"transaction_key": "xY7pQ2mK",
"created_at": 1355314332,
"status": "confirmed",
"cancelable": false,
"price": 1999,
"currency": "EUR",
"price_decimal": "19.99",
"wallet": 45123,
"confirmed_at": 1355314500,
"freeze": {
"until": 1357992732
},
"freeze_until": 1357992732,
"description": "Payment for order #1234",
"parameters": {
"orderid": 1234
},
"transfer_id": 84532,
"beneficiary": {
"id": 60123,
"email": "john@example.com"
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Body REQUIRED
{
"freeze_until": 1357992732
}

RESPONSE

Freeze time updated
{
"id": 2987,
"transaction_key": "xY7pQ2mK",
"created_at": 1355314332,
"status": "confirmed",
"cancelable": false,
"price": 1999,
"currency": "EUR",
"price_decimal": "19.99",
"wallet": 45123,
"confirmed_at": 1355314500,
"freeze": {
"until": 1357992732
},
"freeze_until": 1357992732,
"description": "Payment for order #1234",
"parameters": {
"orderid": 1234
},
"transfer_id": 84532,
"beneficiary": {
"id": 60123,
"email": "john@example.com"
}
}